Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2
Interface XPN

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  XPNImpl

    public interface XPN

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'XPN'. This data structure is being used to represent a person name and is based on the HL7 v2.5 data type XPN.

The following features are supported:

- `Family Name`
- `Given Name`
- `Other Name`
- `Suffix`
- `Prefix`

See Also:
  `Hl7v2Package.getXPN()`

Method Summary
`java.lang.String` | `getFamilyName()` Returns the value of the 'Family Name' attribute.
`java.lang.String` | `getGivenName()` Returns the value of the 'Given Name' attribute.
`java.lang.String` | `getOtherName()` Returns the value of the 'Other Name' attribute.
`java.lang.String` | `getPrefix()` Returns the value of the 'Prefix' attribute.
`java.lang.String` | `getSuffix()` Returns the value of the 'Suffix' attribute.
`void` | `setFamilyName(java.lang.String value)` Sets the value of the '`Family Name`' attribute.
`void` | `setGivenName(java.lang.String value)` Sets the value of the '`Given Name`' attribute.
`void` | `setOtherName(java.lang.String value)` Sets the value of the '`Other Name`' attribute.
`void` | `setPrefix(java.lang.String value)` Sets the value of the '`Prefix`' attribute.
`void` | `setSuffix(java.lang.String value)` Sets the value of the '`Suffix`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFamilyName

    java.lang.String getFamilyName()

  Returns the value of the 'Family Name' attribute.

  If the meaning of the 'Family Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Family Name' attribute.
  See Also:
    `setFamilyName(String)`, `Hl7v2Package.getXPN_FamilyName()`

### setFamilyName

    void setFamilyName(java.lang.String value)

  Sets the value of the '`Family Name`' attribute.

  Parameters:
    `value` - the new value of the 'Family Name' attribute.
  See Also:
    `getFamilyName()`

### getGivenName

    java.lang.String getGivenName()

  Returns the value of the 'Given Name' attribute.

  If the meaning of the 'Given Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Given Name' attribute.
  See Also:
    `setGivenName(String)`, `Hl7v2Package.getXPN_GivenName()`

### setGivenName

    void setGivenName(java.lang.String value)

  Sets the value of the '`Given Name`' attribute.

  Parameters:
    `value` - the new value of the 'Given Name' attribute.
  See Also:
    `getGivenName()`

### getOtherName

    java.lang.String getOtherName()

  Returns the value of the 'Other Name' attribute.

  If the meaning of the 'Other Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Other Name' attribute.
  See Also:
    `setOtherName(String)`, `Hl7v2Package.getXPN_OtherName()`

### setOtherName

    void setOtherName(java.lang.String value)

  Sets the value of the '`Other Name`' attribute.

  Parameters:
    `value` - the new value of the 'Other Name' attribute.
  See Also:
    `getOtherName()`

### getSuffix

    java.lang.String getSuffix()

  Returns the value of the 'Suffix' attribute.

  If the meaning of the 'Suffix' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Suffix' attribute.
  See Also:
    `setSuffix(String)`, `Hl7v2Package.getXPN_Suffix()`

### setSuffix

    void setSuffix(java.lang.String value)

  Sets the value of the '`Suffix`' attribute.

  Parameters:
    `value` - the new value of the 'Suffix' attribute.
  See Also:
    `getSuffix()`

### getPrefix

    java.lang.String getPrefix()

  Returns the value of the 'Prefix' attribute.

  If the meaning of the 'Prefix' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Prefix' attribute.
  See Also:
    `setPrefix(String)`, `Hl7v2Package.getXPN_Prefix()`

### setPrefix

    void setPrefix(java.lang.String value)

  Sets the value of the '`Prefix`' attribute.

  Parameters:
    `value` - the new value of the 'Prefix' attribute.
  See Also:
    `getPrefix()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD